【Linux】【apt】apt-get build-dep 実行時のエラー【トラブル】

本ページの概要
 

  • apt-get build-dep で下記エラー発生時の対応方法

E: sources.list に 'ソース' URI を指定する必要があります

  

 

エラー「E: sources.list に 'ソース' URI を指定する必要があります」

以下のようにエラーが出た場合、/etc/apt/sources.list の「# deb-src 〜」行のコメントを解除してやる。

% sudo apt-get build-dep qt5-default
パッケージリストを読み込んでいます... 完了
E: sources.list に 'ソース' URI を指定する必要があります

 

対策

/etc/apt/sources.list の 1つ目の deb-src 行のコメントを解除して、apt-get update をする。
そして、再度 apt-get build-dep を行えばOK。

% sudo cp /etc/apt/sources.list  /etc/apt/sources.list.bak
% sudo sed -i 's/^# deb-src/deb-src/' /etc/apt/sources.list
% sudo apt-get update